> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Create PetSpecification entity

- Product: Pet specifications
- Section: PetSpecification
- Snapshot: Current
- Method: `GET`
- Path: `/api/pet_specifications/{id}`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.petSpecifications.get({
  id: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/pet_specifications/$ID" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "name": "name",
    "type": "type",
    "locale": "locale",
    "accommodations": [
      {
        "id": 1000
      }
    ],
    "relatedToCustomAccommodations": false,
    "default": false
  }
]
```

##### Schema

###### PetSpecification[]

Type: `PetSpecification[]`  

###### PetSpecification

Type: `PetSpecification`  

###### `id`

Type: `number`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `relatedToCustomAccommodations`

Type: `boolean`  
Required: no  
Default: `false`  

###### `default`

Type: `boolean`  
Required: no  
Default: `false`  

###### `locale`

Type: `string`  
Required: yes  

###### `accommodations`

Type: `object[]`  
Required: yes  

###### object

Type: `object`  

###### `id`

Type: `number`  
Required: no  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/pet-specifications/methods/get/)
- [TypeScript Markdown](/pet-specifications/methods/get.md?lang=typescript)
- [curl Markdown](/pet-specifications/methods/get.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/pet-specifications/llms.txt)
- [snapshot llms.txt](/pet-specifications/llms.txt)
